---
title: Insecure passwords
slug: Web/Security/Insecure_passwords
tags:
  - Insecure
  - Intermediate
  - Security
  - Web
  - password
  - passwords
---
<p class="summary">Serving login forms over HTTP is especially dangerous because of the wide variety of attacks that can be used against them to extract a user’s password. Network eavesdroppers could steal a user's password by sniffing the network, or by modifying the served page in transit.</p>

<p>The <a href="/en-US/docs/Glossary/https" title="https://en.wikipedia.org/wiki/HTTP_Secure">HTTPS</a> protocol is designed to protect user data from eavesdropping (confidentiality) and from modification (integrity) on the network. Websites that handle user data should use HTTPS to protect their users from attackers. If a website uses HTTP instead of HTTPS, it is trivial to steal user information (such as their login credentials). This was famously demonstrated by <a href="https://codebutler.github.io/firesheep/" title="http://codebutler.com/firesheep/">Firesheep</a>.</p>

<p>To fix this issue, install and configure an SSL/<a href="/en-US/docs/Glossary/TLS">TLS</a> certificate onto your server. There are various vendors offering free and paid certificates. If you are using a cloud platform, it may have its own ways of enabling HTTPS.</p>

<h2 id="Note_on_password_reuse">Note on password reuse</h2>

<p>Sometimes websites require username and passwords but don't actually store data that is very sensitive. For example, a news site may save which news articles a user wants to go back to and read, but not save any other data about a user. Web developers of the news site may be less motivated to secure their site and their user credentials.</p>

<p>Unfortunately, <a href="https://www.lightbluetouchpaper.org/2011/02/09/measuring-password-re-use-empirically/">password reuse is a big problem</a>. Users use the same password across multiple sites (news websites, social networks, email providers, banks). Hence, even if access to the username and password to your site doesn't seem like a huge risk to you, it is a great risk to users who have used the same username and password to log in to their bank accounts. Attackers are getting smarter; they steal username/password pairs from one site and then try reusing them on more lucrative sites.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li class="entry-title"><a href="https://blog.mozilla.org/tanvi/2016/01/28/no-more-passwords-over-http-please/">No More Passwords over HTTP, Please!</a> — detailed blog post with more information, and FAQ.</li>
</ul>

<p class="entry-title">{{QuickLinksWithSubpages("/en-US/docs/Web/Security")}}</p>
